Package org.tmatesoft.svn.core.wc2

# Class SvnGetProperties

java.lang.Object
org.tmatesoft.svn.core.wc2.SvnOperation<SVNProperties>
org.tmatesoft.svn.core.wc2.SvnReceivingOperation<SVNProperties>
org.tmatesoft.svn.core.wc2.SvnGetProperties

All Implemented Interfaces:
  `ISvnObjectReceiver<SVNProperties>`, `ISvnOperationOptionsProvider`

public class SvnGetProperties extends SvnReceivingOperation<SVNProperties>
Represents proplist operation. Gets the `target`'s properties or revision properties. If single property has to be read, a caller should use `ISvnObjectReceiver` to fetch the property value by name. `SvnOperation.run()` returns `SvnWcGeneration` of resulting working copy. This method throws `SVNException` if one of the following is true:

- `propertyName` starts with the `svn:wc:` prefix
- `target` is not under version control

Version:
  1.7
Author:
  TMate Software Ltd.

## Constructor Summary

Constructors
Modifier
Constructor
Description
`protected`
`SvnGetProperties(SvnOperationFactory factory)`

## Method Summary

Modifier and Type
Method
Description
`protected void`
`ensureArgumentsAreValid()`
`long`
`getRevisionNumber()`
Sets properties revision number, only for revision properties.
`ISvnObjectReceiver<List<SvnInheritedProperties>>`
`getTargetInheritedPropertiesReceiver()`
`boolean`
`isChangesWorkingCopy()`
Gets whether the operation changes working copy
`boolean`
`isRevisionProperties()`
Gets whether it is revision properties.
`void`
`setRevisionNumber(long revisionNumber)`
Sets properties revision number, only for revision properties.
`void`
`setRevisionProperties(boolean revisionProperties)`
Sets whether it is revision properties.
`void`
`setTargetInheritedPropertiesReceiver(ISvnObjectReceiver<List<SvnInheritedProperties>> receiver)`

### Methods inherited from class org.tmatesoft.svn.core.wc2.SvnReceivingOperation

`first, getReceiver, initDefaults, last, receive, run, setReceiver`

### Methods inherited from class org.tmatesoft.svn.core.wc2.SvnOperation

`addTarget, cancel, ensureEnoughTargets, ensureHomohenousTargets, getApplicableChangelists, getAuthenticationManager, getCanceller, getDepth, getEventHandler, getFirstTarget, getMaximumTargetsCount, getMinimumTargetsCount, getOperationalWorkingCopy, getOperationFactory, getOptions, getRepositoryPool, getRevision, getSqliteJournalMode, getTargets, hasFileTargets, hasLocalTargets, hasRemoteTargets, isCancelled, isSleepForTimestamp, isUseParentWcFormat, needsHomohenousTargets, run, setApplicalbeChangelists, setDepth, setRevision, setSingleTarget, setSleepForTimestamp, setSqliteJournalMode`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

## Constructor Details

### SvnGetProperties

protected SvnGetProperties(SvnOperationFactory factory)

## Method Details

### ensureArgumentsAreValid

protected void ensureArgumentsAreValid() throws SVNException

Overrides:
  `ensureArgumentsAreValid` in class `SvnOperation<SVNProperties>`
Throws:
  `SVNException`

### isRevisionProperties

public boolean isRevisionProperties()
Gets whether it is revision properties.

Returns:
  `true` if it is revision properties, `true` if it is `target`'s properties

### setRevisionProperties

public void setRevisionProperties(boolean revisionProperties)
Sets whether it is revision properties.

Parameters:
  `revisionProperties` - `true` if it is revision properties, `true` if it is `target`'s properties

### getRevisionNumber

public long getRevisionNumber()
Sets properties revision number, only for revision properties.

Returns:
  revision number of properties

### setRevisionNumber

public void setRevisionNumber(long revisionNumber)
Sets properties revision number, only for revision properties.

Parameters:
  `revisionNumber` - revision number of properties

### isChangesWorkingCopy

public boolean isChangesWorkingCopy()
Gets whether the operation changes working copy

Overrides:
  `isChangesWorkingCopy` in class `SvnOperation<SVNProperties>`
Returns:
  `true` if the operation changes the working copy, otherwise `false`

### setTargetInheritedPropertiesReceiver

public void setTargetInheritedPropertiesReceiver(ISvnObjectReceiver<List<SvnInheritedProperties>> receiver)

### getTargetInheritedPropertiesReceiver

public ISvnObjectReceiver<List<SvnInheritedProperties>> getTargetInheritedPropertiesReceiver()